figure
j=input('What volume flow definition? [1=Q11 2=Q11z]\n');
B=input('Lines of best point of efficiency canditates indicated? [y/n]\n','s');
if j==1
    S=input('Transition lines between number of nozzles indicated? [y/n]\n','s');
end
if j==2
    q11=data.hill_m2.q11(1,17:1203);
    n11=data.hill_m2.n11;
    etta=data.hill_m2.etta(:,17:1203);
    K=[0.00772:0.0001:0.03149];
    X=[0.005 0.035];
    XL='Q_{11_{Z}}';
    best1=[0.000:0.0001:0.03149];
    best2(1:length(best1))=40.5;
    best3(1:length(best1))=41.5;
else
    q11=data.hill_M.q11;
    n11=data.hill_M.n11;
    etta=data.hill_M.etta;
    shift=data.hill_M.shift;
    K=[8:157];
    X=[9.6 157.3];
    XL='Q_{11}';
    best1=[8:157];
    best2(1:length(best1))=41.5;
    best3(1:length(best1))=40.5;
end
if B=='y'
    plot(best1,best2,'-.k','linewidt',1.5);
    hold on
    plot(best1,best3,'-.','linewidt',1.5);
    legend({'Constant n_{11}=41.5','Constant n_{11}=40.5'},'orientation','horizontal','location','northoutside')
end
%hold on
temp=interp2(q11',n11',etta,K,[37.7:0.2:45.1]','spline');
[C,H]=contour(K,[37.7:0.2:45.1],temp*100,[80:4:90 90:1:95 95.5:0.5:99.5 99.8 99.9],'linewidth',1.2);
if j==1 && S=='y'
    for i=2:5
        plot(data.hill_M.shift(19:end,i),data.hill_M.n11(:),'linewidt',1.2,'linestyle','-.','color','k');
        plot(data.hill_M.shift(1:18,i),36:0.1:37.7,'linewidt',1.2,'linestyle','-.','color','k');
    end
end
ylim([36 46])
xlim(X)
xlabel(XL,'fontsize',14)
ylabel('n_{11}','fontsize',14)
set(gcf,'paperUnits','normalized','paperType','A4','paperOrientation','landscape')
set(gca,'fontsize',14)
grid on
text_handle = clabel(C,H);
set(text_handle,'BackgroundColor',[1 1 .6],...
     'Edgecolor',[.7 .7 .7])
clear C H i temp best1 best2 best3 S M B j i temp shift q11 n11 etta XL X K H C etta_max
