i=input('How many nozzles? [1-5]\n');
j=input('What reduced volume flow definition? [1=Q11 2=Q11z]\n');
figure
hold on
if j==2
    xlabel('Q_{11_{Z}}','fontsize',14)
    xlim([0.0075 0.032])
    K=0.0001;
    n11_s=data.surf_m2{i}.n11;
    q11_s=data.surf_m2{i}.q11;
    etta_s=data.surf_m2{i}.etta;
    q_min=data.surf_m2{i}.q_min;
    q_max=data.surf_m2{i}.q_max;
    n11_h=data.hill_m2.n11;
    q11_h=data.hill_m2.q11;
    etta_h=data.hill_m2.etta;
    %V=data.hill_m2;
else
    xlabel('Q_{11}','fontsize',14)
    xlim([9.6 157.3])
    K=0.1;
    n11_s=data.surf_M{i}.n11;
    q11_s=data.surf_M{i}.q11;
    etta_s=data.surf_M{i}.etta;
    q_min=data.surf_M{i}.q_min;
    q_max=data.surf_M{i}.q_max;
    n11_h=data.hill_M.n11;
    q11_h=data.hill_M.q11;
    etta_h=data.hill_M.etta;
    %S=data.surf_M;
    %V=data.hill_M;
end
    temp=interp2(q11_s',n11_s',etta_s,[q_min:K:q_max],[37.7:0.4:45.1]','spline');
    [C,H]=contour([q_min:K:q_max],[37.7:0.4:45.1],temp*100,[75:4:90 90:0.5:99.5 99.7 99.9],'linewidth',1.2);
text_handle = clabel(C,H);
set(text_handle,'BackgroundColor',[1 1 .6],...
     'Edgecolor',[.7 .7 .7])
    %clabel(C,H)
ylim([36 46])
zlim([0.6 1])
ylabel('n_{11}','fontsize',14)
grid on
zlabel('\eta','fontsize',14)
set(gca,'fontsize',14)
set(gcf,'paperUnits','normalized','paperType','A4','paperorientation','landscape')
clear C H K etta_h etta_s i j n11_h n11_s q11_h q11_s q_max q_min temp text_handle