
L2=5+sum(-isnan(data.L(:,1,11)));                                                                 %Finds number of nozzle openings
m=1;                                                                                            %Sets start for row position
for i=1:L2                                                                                      %Loop going through nozzle openings
    n=0;                                                                                            %Sets start for column position
    L1=5+sum(-isnan(data.L(i,:,12)));                                                           %Finds number of n11 points
    if L1>=1                                                                                    %If any n11 points exists
        for j=1:L1                                                                              %Loop going through n11 points
            if i==1 && j<=3                                                                     %Discrimination between runs with narrow and broad n11 range
                k1=5;
                k2=15;
                k=11;
            else
                k1=1;
                k2=17;
                k=17;
            end
            if k1==5
                data.n11_1(m,1:4)=37.2:0.5:38.7;
                data.n11_1(m,16:17)=44.7:0.5:45.2;
                data.n11_1(m,k1:k2)=data.n11.gjn(i,j,k1:k2);                                    %Stores n11 data in a matrix
                data.n11_2(i,n+1:n+17)=data.n11_1(m,:);                                         %Stores n11 data in a vector
                
                data.q11_1(m,1:4)=mean(data.q11.gjn(i,j,k1:k2));
                data.q11_1(m,16:17)=mean(data.q11.gjn(i,j,k1:k2));
                data.q11_1(m,k1:k2)=data.q11.gjn(i,j,k1:k2);                                    %Stores q11 data in a matrix
                data.q11_2(i,n+1:n+17)=data.q11_1(m,:);                                         %Stores q11 data in a vector
                
                a1=strcat('data.fit',num2str(m),'(37.2:0.5:38.7);');
                a2=strcat('data.fit',num2str(m),'(44.7:0.5:45.2);');
                data.etta_1(m,1:4)=eval(a1);
                data.etta_1(m,16:17)=eval(a2);
                data.etta_1(m,k1:k2)=data.etta.gjn(i,j,k1:k2);                                  %Stores etta data in a matrix
                data.etta_f(m,k1:k2)=data.etta.err.f(i,j,k1:k2);
                data.etta_f(m,1:4)=data.etta_f(m,k1);
                data.etta_f(m,16:17)=data.etta_f(m,k2);
                data.etta_2(i,n+1:n+17)=data.etta_1(m,:);                                       %Stores etta data in a vector
                n=n+17;                                                                         %Moves column position
                m=m+1;                                                                           %Moves row position
            else
                data.n11_1(m,k1:k2)=data.n11.gjn(i,j,k1:k2);                                    %Stores n11 data in a matrix
                data.n11_2(i,n+1:n+k)=data.n11.gjn(i,j,k1:k2);                                  %Stores n11 data in a vector
                data.q11_1(m,k1:k2)=data.q11.gjn(i,j,k1:k2);                                    %Stores q11 data in a matrix
                data.q11_2(i,n+1:n+k)=data.q11.gjn(i,j,k1:k2);                                  %Stores q11 data in a vector
                data.etta_1(m,k1:k2)=data.etta.gjn(i,j,k1:k2);                                  %Stores etta data in a matrix
                data.etta_f(m,k1:k2)=data.etta.err.f(i,j,k1:k2);
                data.etta_2(i,n+1:n+k)=data.etta.gjn(i,j,k1:k2);                                %Stores etta data in a vector
                n=n+17;                                                                         %Moves column position
                m=m+1;                                                                           %Moves row position
            end
        end     
    else
    end
    %utvelgelse;
end
clear L1 L2 m n i j k1 k2 k a1 a2 v N11 Q11